Security Enhanced Linux Reference Policy

# Layer: services

## Module: pyzor

Interfaces Templates

### Description:

Pyzor is a distributed, collaborative spam detection and filtering network.

### Interfaces:

pyzor_admin( domain , role )

##### Summary

All of the rules required to administrate an pyzor environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

pyzor_domtrans( domain )

##### Summary

Execute pyzor with a domain transition.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

pyzor_exec( domain )

##### Summary

Execute pyzor in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

pyzor_signal( domain )

##### Summary

Send generic signals to pyzor.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return

### Templates:

pyzor_role( role_prefix , user_domain , user_exec_domain , role )

##### Summary

Role access for pyzor.

##### Parameters

Parameter: | Description:
--- | ---
role_prefix | The prefix of the user role (e.g., user is the prefix for user_r).
user_domain | User domain for the role.
user_exec_domain | User exec domain for execute and transition access.
role | Role allowed access

Return